POST V1/Lite/Widgets.{ext}/PushPins?pageIndex={pageIndex}&pageSize={pageSize}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
pageIndex

No description available

integer

Default value is 0

pageSize

No description available

integer

Default value is 0

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Mobile.Entities.Widgets.PushPinSearch
NameDescriptionTypeAdditional information
Type

No description available

string

None.

EntityType

No description available

string

None.

MinDistance

No description available

string

None.

MaxDistance

No description available

string

None.

Latitude

No description available

string

None.

Longitude

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "type": "sample string 1",
  "entityType": "sample string 2",
  "minDistance": "sample string 3",
  "maxDistance": "sample string 4",
  "latitude": "sample string 5",
  "longitude": "sample string 6"
}

application/xml, text/xml

Sample:
<PushPinSearch xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Mobile.Entities.Widgets">
  <EntityType>sample string 2</EntityType>
  <Latitude>sample string 5</Latitude>
  <Longitude>sample string 6</Longitude>
  <MaxDistance>sample string 4</MaxDistance>
  <MinDistance>sample string 3</MinDistance>
  <Type>sample string 1</Type>
</PushPinSearch>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Mobile.Entities.Widgets.PushPins
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Mobile.Entities.Widgets.PushPins

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "PushPins",
  "response": {
    "latLongList": [
      {
        "type": "sample string 1",
        "entityId": 1,
        "entityNumber": "sample string 2",
        "entityName": "sample string 3",
        "latitude": "sample string 4",
        "longitude": "sample string 5"
      },
      {
        "type": "sample string 1",
        "entityId": 1,
        "entityNumber": "sample string 2",
        "entityName": "sample string 3",
        "latitude": "sample string 4",
        "longitude": "sample string 5"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.